function p = fp(q,v1,v2)
%FP	F cumulative distribution function.
%	FP(Q,V1,V2) gives Pr(X < Q) where X follows an F distribution
%	on V1 and V2 degrees of freedom.
%
%   courtesy of:
%   Smyth, G. K. (1999). StatBox 4.1: A statistics toolbox for Matlab. 
%   University of Queensland, Brisbane 
%   (www.maths.uq.edu.au/~gks/matlab/statbox.html).


%	Reference:  Johnson & Kotz, Chapter 26, page 78.

a = v1 ./ 2;
b = v2 ./ 2;
q = v1 .* q ./ ( v2 + v1 .* q) ;
p = betap(q,a,b);
